Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.adapters
Interface DOMAdapter

All Known Implementing Classes:
  AbstractDOMAdapter

public interface DOMAdapter

`DOMAdapter`

This interface defines wrapper behavior for obtaining a DOM `Document` object from a DOM parser.

Version:
  1.0
Author:
  Brett McLaughlin, Jason Hunter

Method Summary
`Document` | `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
`Document` | `createDocument(DocType doctype)` This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.
`Document` | `getDocument(File filename, boolean validate)` This creates a new `Document` from a given filename by letting a DOM parser handle parsing from the file.
`Document` | `getDocument(InputStream in, boolean validate)` This creates a new `Document` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

Method Detail

### getDocument

    public Document getDocument(File filename,
                                boolean validate)
                         throws Exception

  This creates a new `Document` from a given filename by letting a DOM parser handle parsing from the file.

  Parameters:
    `filename` - file to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    Exception - when errors occur in parsing.

### getDocument

    public Document getDocument(InputStream in,
                                boolean validate)
                         throws Exception

  This creates a new `Document` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Parameters:
    `in` - `InputStream` to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    Exception - when errors occur in parsing.

### createDocument

    public Document createDocument()
                            throws Exception

  This creates an empty `Document` object based on a specific parser implementation.

  Returns:
    `Document` - created DOM Document.
  Throws:
    Exception - when errors occur.

### createDocument

    public Document createDocument(DocType doctype)
                            throws Exception

  This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.

  Parameters:
    `doctype` - Initial `DocType` of the document.
  Returns:
    `Document` - created DOM Document.
  Throws:
    Exception - when errors occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.